#-------------------------------------------------
#
# Project created by QtCreator 2018-05-25T13:33:05
#
#-------------------------------------------------

QT       += core gui network multimedia sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = fmtakeout
TEMPLATE = app

include("./base/QsLog/QsLog.pri")
include("./base/Print/printlib.pri")

INCLUDEPATH += $$PWD/include

LIBS += -L$$PWD/lib -llibeay32 -lssleay32 -lwinspool

LIBS += -lWs2_32
LIBS += -lDbghelp

#DEFINES += USE_QAACTION

#DEFINES += FM_TEST
#DEFINES += FM_MAIN_TEST
RC_FILE += takeout.rc

CONFIG += c++11

SOURCES += main.cpp \
    event/fmapplication.cpp \
    event/posevent.cpp \
    model/baseObject.cpp \
    model/cashierObject.cpp \
    model/deliverObject.cpp \
    model/orderObject.cpp \
    model/posorderpool.cpp \
    model/productObject.cpp \
    base/Network/billSocket.cpp \
    control/orderpushwork.cpp \
    base/Config/configManger.cpp \
    view/alertForm.cpp \
    view/floatForm.cpp \
    view/mainForm.cpp \
    view/padForm.cpp \
    view/pickForm.cpp \
    view/RejectForm.cpp \
    view/settingForm.cpp \
    control/ordergetwork.cpp \
    view/sysTray.cpp \
    view/clickedLineEdit.cpp \
    view/headframe.cpp \
    view/detailForm.cpp \
    base/Arithmetic/util.cpp \
    base/DB/fm_database.cpp \
    control/orderlocalizework.cpp \
    control/orderprintwork.cpp \
    view/loginform.cpp \
    model/discountObject.cpp \
    control/workcontrol.cpp \
    view/prtsettingform.cpp

HEADERS  += \
    event/fmapplication.h \
    event/posevent.h \
    model/baseObject.h \
    model/cashierObject.h \
    model/deliverObject.h \
    model/orderObject.h \
    model/posorderpool.h \
    model/productObject.h \
    base/Network/billSocket.h \
    base/Dump/dump.h \
    preDefine.h \
    control/orderpushwork.h \
    base/Config/configManger.h \
    view/alertForm.h \
    view/floatForm.h \
    view/mainForm.h \
    view/padForm.h \
    view/pickForm.h \
    view/RejectForm.h \
    view/settingForm.h \
    control/ordergetwork.h \
    base/Arithmetic/cretopt.h \
    base/Arithmetic/dataprocess.h \
    view/sysTray.h \
    view/clickedLineEdit.h \
    view/headframe.h \
    view/detailForm.h \
    base/Arithmetic/util.h \
    base/DB/fm_database.h \
    control/orderlocalizework.h \
    control/orderprintwork.h \
    view/loginform.h \
    model/discountObject.h \
    control/workcontrol.h \
    view/prtsettingform.h \
    base/System/GetPrinters.h

DISTFILES += takeout.rc

FORMS += \
    view/alertForm.ui \
    view/floatForm.ui \
    view/mainForm.ui \
    view/padForm.ui \
    view/pickForm.ui \
    view/RejectForm.ui \
    view/settingForm.ui \
    view/detailForm.ui \
    view/loginform.ui \
    view/prtsettingform.ui
